PHP Manual
Prev |  | Next

# http_parse_message

(PECL)

http_parse_message -- Parse HTTP message

## Description

object http_parse_message ( string message )

Parses (a) http_message(s) into a simple recursive object structure.

## Parameters

message

  String containing a single HTTP message or several consecutive HTTP messages

## Return Values

Returns an hierarchical object structure of the parsed messages.

## Examples

Example 1. Using http_parse_message()

`<?php print_r(http_parse_message(http_get(URL, array('redirect' => 3))); ?>`

The above example will output:

    stdClass object
    (
      [type] => 2
      [httpVersion] => 1.1
      [responseCode] => 200
      [headers] => Array
      (
        [Content-Length] => 3
        [Server] => Apache
      )
      [body] => Hi!
      [parentMessage] => stdClass object
      (
        [type] => 2
        [httpVersion] => 1.1
        [responseCode] => 302
        [headers] => Array
        (
          [Content-Length] => 0
          [Location] => ...
        )
        [body] =>
        [parentMessage] => ...
      )
    )

Prev | Home | Next
http_parse_headers | Up | http_parse_params